%define realname RRDtool
%define modname rrdtool
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 61_%{modname}.ini

%define mod_src rrdtool.c
%define mod_lib "-lrrd -lpng -lz -lm"
%define mod_def "-DHAVE_RRDTOOL -DCOMPILE_DL_RRDTOOL"

Summary:	The %{realname} module for PHP
Name:		php-%{modname}
Version:	0
Release:	%mkrel 37
Group:		Development/PHP
License:	GPLv2
URL:		http://ee-staff.ethz.ch/~oetiker/webtools/rrdtool/
Source0:	http://people.ee.ethz.ch/~oetiker/webtools/rrdtool/pub/contrib/php_rrdtool.tar.bz2
Patch0:		php-rrdtool-php54.patch
BuildRequires:	gettext-devel
BuildRequires:	rrdtool-devel >= 1.2.7
BuildRequires:	png-devel
BuildRequires:	zlib-devel
BuildRequires:	php-devel >= 3:5.2.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The php-rrdtool package is a dynamic shared object (DSO) that adds RRDtool
support to PHP.

%prep

%setup -q -n rrdtool
%apply_patches

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --enable-%{modname}=shared,%{_prefix}
%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

%{__cat} > README.%{modname} << EOF
The php-rrdtool package contains a dynamic shared object (DSO) for PHP.
To activate it, make sure a file /etc/php.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

%{__cat} > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog

* Wed Jan 30 2013 oden <oden> 0-37.mga3
+ Revision: 393319
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 0-36.mga3
+ Revision: 377556
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 12 2012 pterjan <pterjan> 0-35.mga3
+ Revision: 329835
- Fix build

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0-34.mga2
+ Revision: 223932
- httpd restart is handled by filetriggers now

* Wed Feb 15 2012 bertl <bertl> 0-33.mga2
+ Revision: 209394
- imported package php-rrdtool

